%{?nodejs_find_provides_and_requires}

%global packagename any-path

%global enable_tests 0
# Tests disabled in order to bootstrap a newer version of npm(tap)

Name:		nodejs-any-path
Version:	1.3.0
Release:	1%{?dist}
Summary:	Make the keys on an object path.sep agnostic

License:	ISC
URL:		https://github.com/bcoe/any-path.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/bcoe/any-path/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(chai)
BuildRequires:	npm(tap)
BuildRequires:	npm(tap-mocha-reporter)
%endif

%description
make the keys on an object path.sep agnostic.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap --coverage test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}


%changelog
* Sat Feb 13 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
